<template>
    <section class="contact_main">



        <div class="home_contact_left">
            <div class="container">
                <div class="row">
                    <div class="col-xs-12 col-sm-12  col-md-6 col-lg-3">
                        <div class="home_contact_cont">
                            <img src="/front-end/images/contact-us-block-bg.png">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-6 col-lg-5">
                        <div class="contact_home_form">

                            <div>
                                <h3>Need a temporary whole house fit out?</h3>
                                <p>Let me know what you need and I can make you a custom quote.</p>
                                <ValidationObserver ref="form">
                                    <div class="row form_contact">
                                        <div class="col-12">
                                            <ValidationProvider name="Name" rules="required" v-slot="{ errors }">
                                                <input type="text" placeholder="Name*" v-model="form.name" class="txtbox">
                                                <span class="red--text" v-if="errors.length > 0"> {{ errors[0] }}</span>
                                            </ValidationProvider>
                                        </div>
                                        <div class="col-xs-12 col-sm-6">
                                            <ValidationProvider name="Phone Number" rules="required|digits:10"
                                                v-slot="{ errors }">
                                                <input type="text" placeholder="Phone Number*" v-model="form.phone_no"
                                                    class="txtbox">
                                                <span class="red--text" v-if="errors.length > 0"> {{ errors[0] }}</span>
                                            </ValidationProvider>
                                        </div>
                                        <div class="col-xs-12 col-sm-6">
                                            <ValidationProvider name="Email" rules="required|email" v-slot="{ errors }">
                                                <input type="text" placeholder="Email*" v-model="form.email" class="txtbox">
                                                <span class="red--text" v-if="errors.length > 0"> {{ errors[0] }}</span>
                                            </ValidationProvider>
                                        </div>
                                        <div class="col-12">
                                            <ValidationProvider name="How may we serve you" rules="required"
                                                v-slot="{ errors }">
                                                <textarea class="txtbox" cols="20" v-model="form.message"
                                                    placeholder="How may we serve you?*"></textarea>
                                                <span class="red--text" v-if="errors.length > 0"> {{ errors[0] }}</span>
                                            </ValidationProvider>
                                        </div>

                                        <div class="col-12 ylw_btn">

                                            <v-btn class="btn mt-0" :loading="loading" @click="validateForm">
                                                Submit
                                            </v-btn>


                                        </div>
                                        <div class="col-12" v-if="success">

                                            <div class="success_div">
                                                <span class="material-icons-outlined">check_circle</span>
                                                <div class="thanks_cont">
                                                    <h3>Thanks for your enquiry!</h3>
                                                    <p> One of our team members will call you to discuss your enquiry further. </p>
                                                </div>
                                            </div>


                                        </div>

                                    </div>
                                </ValidationObserver>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="home_contact_right">
            <div class="google_map"><iframe
                    src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d25567.68847601238!2d115.9345510801089!3d-31.933675183353138!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x2a32ba3dcf7579c1%3A0x8af2db96d91c1cb7!2sPerth%20rentals%20hire!5e0!3m2!1sen!2sin!4v1696669149904!5m2!1sen!2sin"
                    width="100%" height="100%" style="border:0;" allowfullscreen="" loading="lazy"
                    referrerpolicy="no-referrer-when-downgrade"></iframe></div>
        </div>






    </section>
</template>
<script>
import { ValidationObserver } from 'vee-validate';
import Loading from './Loading.vue';
export default {
    data() {
        return {
            form: {},
            errors: {},
            loading: false,
            success: false,
            domain: this.$store.state.front_end_data.domain,
        };
    },
    components: { ValidationObserver, Loading },
    methods: {
        validateForm() {
            this.$refs.form.validate().then((success) => {
                if (success) {
                    this.errors = false;
                    this.loading = true;
                    this.form.domain_id = this.domain.id;
                    this.$axios.$post('/api/store-contact-enquiry-data', this.form)
                        .then(resp => {
                            this.success = true;
                            this.loading = false;
                            this.form = {};
                            this.$refs.form.reset();
                        });
                }
                else {
                    this.errors = this.$refs.form.errors;
                }
            });
        }
    }
}
</script>
